# Generated by Django 2.2.2 on 2019-06-15 20:07

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0011_update_proxy_permissions'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Session',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('session_name', models.CharField(max_length=100)),
                ('session_start', models.DateField()),
                ('session_end', models.DateField()),
                ('student_can_submit', models.BooleanField(default=False)),
                ('visibility', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Technology',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Subject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('description', models.TextField()),
                ('difficulty', models.IntegerField(default=0)),
                ('motivation', models.TextField()),
                ('is_valid', models.BooleanField(default=False)),
                ('tags', models.ManyToManyField(to='gestion_projets.Tag')),
                ('technologies', models.ManyToManyField(to='gestion_projets.Technology')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Step',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('description', models.TextField()),
                ('date_limit', models.DateField()),
                ('session', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestion_projets.Session')),
            ],
        ),
        migrations.AddField(
            model_name='session',
            name='subjects',
            field=models.ManyToManyField(to='gestion_projets.Subject'),
        ),
        migrations.AddField(
            model_name='session',
            name='user_groups',
            field=models.ManyToManyField(to='auth.Group'),
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('session', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestion_projets.Session')),
                ('subject', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestion_projets.Subject')),
                ('users', models.ManyToManyField(to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
